Running AWM 11g (linux version) on Mac OSX and Windows

Now that I have the production version of Oracle 11g I wanted to run AWM on my Mac or Windows. This is a simple thing to do. You first have to find all the library files that AWM uses and put them in a directory on your machine. Then create a batch or command file to start up AWM. To do this on a Mac you need to create a awm.command file (script file) with the following commands:

#!/bin/sh
AWMDIR=/Users/chrisclaterbos/Projects/11G/AWM
JDK_ROOT=/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home
JAVA_RT=$JDK_ROOT/bin/java

CLASSPATH=$AWMDIR/awm.jar:$AWMDIR/xdb.jar:$AWMDIR/xs.jar:
$AWMDIR/DiscoEnabler.jar:$AWMDIR/jdiscoe.jar:$AWMDIR/jndi.jar:
$AWMDIR/kodiak.jar:$AWMDIR/share.jar:$AWMDIR/xsjwork.jar:
$AWMDIR/workdep.zip:$AWMDIR/ewt3.jar:jewt4-ls.jar:
$AWMDIR/jewt4.jar:$AWMDIR/help4.jar:
$AWMDIR/oracle_ice.jar:$AWMDIR/awmhelp.jar:$AWMDIR/awxml.jar:
$AWMDIR/olap_api.jar:$AWMDIR/olap_api_spl.jar:
$AWMDIR/ojdbc5.jar:$AWMDIR/xmlparserv2.jar:
$AWMDIR/xmlcomp.jar:$AWMDIR/dbui4.jar:
$AWMDIR/jle3.jar:$AWMDIR/collections.jar:$AWMDIR/awmdep.zip:
$AWMDIR/orai18n-utility.jar:
$AWMDIR/orai18n-mapping.jar:$AWMDIR/orai18n-translation.jar:
$AWMDIR/orai18n-collation.jar

$JAVA_RT -mx1024m -Dsun.java2d.noddraw=true -cp $CLASSPATH oracle.olap.awm.app.AwmApp

Now you can save the file and once you set the attributes on the file to be executable you can click on it and it should run.

In order to do the same thing in windows you can create a bat or cmd file with the following commands:

set classpath=awm.jar;xdb.jar;xs.jar;DiscoEnabler.jar;jdiscoe.jar;jndi.jar;
kodiak.jar;share.jar;xsjwork.jar;workdep.zip;ewt3.jar;jewt4-nls.jar;
jewt4.jar;help4.jar;oracle_ice.jar;awmhelp.jar;awxml.jar;olap_api.jar;
olap_api_spl.jar;ojdbc5.jar;xmlparserv2.jar;xmlcomp.jar;dbui4.jar;jle3.jar;
collections.jar;awmdep.zip;orai18n-utility.jar;orai18n-mapping.jar;
orai18n-translation.jar;orai18n-collation.jar;

java -mx1024m -Dsun.java2d.noddraw=true -cp %CLASSPATH% oracle.olap.awm.app.AwmApp

Make sure you have installed the Java 1.5 JRE and you should be good to go.

If you need any assistance with this you can contact me at: claterbos@vlamis.com